Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Submit a form by id
POST
/api/v1/forms/{id}/submit
const url = 'https://api.pitch2sale.com/api/v1/forms/example/submit';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"data":{"additionalProperty":"example"},"recaptcha_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/forms/example/submit \ --header 'Content-Type: application/json' \ --data '{ "data": { "additionalProperty": "example" }, "recaptcha_token": "example" }'Unauthenticated; same behaviour as the public-token submit.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
data
required
object
key
additional properties
recaptcha_token
string
Examplegenerated
{ "data": { "additionalProperty": "example" }, "recaptcha_token": "example"}Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}